#include "eth.h"

static volatile unsigned char *const eth_ptr =
  (volatile unsigned char *)0x80000400;

/**
 * @brief check if receiving a character is possible
 * @return if receiving a character is possible
 */
int eth_can_rx(void)
{
  return eth_ptr[0];
}

/**
 * @brief receive a character
 * @return character received
 */
unsigned char eth_rx(void)
{
  while (!eth_ptr[0]); /* wait for data */
  unsigned char chr = eth_ptr[4]; /* read data */
  eth_ptr[4] = 0; /* remove data from FIFO */
  return chr;
}

